import App

def CreateAI(pShip, sWaypointName, sWaypointName2):

	#########################################
	# Creating PlainAI FlyToWaypoint at (445, 39)
	pFlyToWaypoint = App.PlainAI_Create(pShip, "FlyToWaypoint")
	pFlyToWaypoint.SetScriptModule("FollowWaypoints")
	pFlyToWaypoint.SetInterruptable(1)
	pScript = pFlyToWaypoint.GetScriptInstance()
	pScript.SetTargetWaypointName(sWaypointName)
	# Done creating PlainAI FlyToWaypoint
	#########################################
	#########################################
	# Creating ConditionalAI ConditionReachedWaypoint1 at (320, 59)
	## Conditions:
	#### Condition ReachedWaypoint1
	pReachedWaypoint1 = App.ConditionScript_Create("Conditions.ConditionReachedWaypoint", "ConditionReachedWaypoint", pShip, sWaypointName)
	## Evaluation function:
	def EvalFunc(bReachedWaypoint1):
		ACTIVE = App.ArtificialIntelligence.US_ACTIVE
		DORMANT = App.ArtificialIntelligence.US_DORMANT
		DONE = App.ArtificialIntelligence.US_DONE
		if(bReachedWaypoint1):
			return DORMANT
		return ACTIVE
	## The ConditionalAI:
	pConditionReachedWaypoint1 = App.ConditionalAI_Create(pShip, "ConditionReachedWaypoint1")
	pConditionReachedWaypoint1.SetInterruptable(1)
	pConditionReachedWaypoint1.SetContainedAI(pFlyToWaypoint)
	pConditionReachedWaypoint1.AddCondition(pReachedWaypoint1)
	pConditionReachedWaypoint1.SetEvaluationFunction(EvalFunc)
	# Done creating ConditionalAI ConditionReachedWaypoint1
	#########################################
	#########################################
	# Creating PlainAI FlyToWaypoint_2 at (457, 94)
	pFlyToWaypoint_2 = App.PlainAI_Create(pShip, "FlyToWaypoint_2")
	pFlyToWaypoint_2.SetScriptModule("FollowWaypoints")
	pFlyToWaypoint_2.SetInterruptable(1)
	pScript = pFlyToWaypoint_2.GetScriptInstance()
	pScript.SetTargetWaypointName(sWaypointName2)
	# Done creating PlainAI FlyToWaypoint_2
	#########################################
	#########################################
	# Creating ConditionalAI ConditionReachedWaypoint2 at (336, 114)
	## Conditions:
	#### Condition ReachedWaypoint2
	pReachedWaypoint2 = App.ConditionScript_Create("Conditions.ConditionReachedWaypoint", "ConditionReachedWaypoint", pShip, sWaypointName2)
	## Evaluation function:
	def EvalFunc(bReachedWaypoint2):
		ACTIVE = App.ArtificialIntelligence.US_ACTIVE
		DORMANT = App.ArtificialIntelligence.US_DORMANT
		DONE = App.ArtificialIntelligence.US_DONE
		if(bReachedWaypoint2):
			return DORMANT
		return ACTIVE
	## The ConditionalAI:
	pConditionReachedWaypoint2 = App.ConditionalAI_Create(pShip, "ConditionReachedWaypoint2")
	pConditionReachedWaypoint2.SetInterruptable(1)
	pConditionReachedWaypoint2.SetContainedAI(pFlyToWaypoint_2)
	pConditionReachedWaypoint2.AddCondition(pReachedWaypoint2)
	pConditionReachedWaypoint2.SetEvaluationFunction(EvalFunc)
	# Done creating ConditionalAI ConditionReachedWaypoint2
	#########################################
	#########################################
	# Creating SequenceAI Sequence at (157, 160)
	pSequence = App.SequenceAI_Create(pShip, "Sequence")
	pSequence.SetInterruptable(1)
	pSequence.SetLoopCount(-1)
	pSequence.SetResetIfInterrupted(1)
	pSequence.SetDoubleCheckAllDone(1)
	pSequence.SetSkipDormant(1)
	# SeqBlock is at (311, 163)
	pSequence.AddAI(pConditionReachedWaypoint1)
	pSequence.AddAI(pConditionReachedWaypoint2)
	# Done creating SequenceAI Sequence
	#########################################
	#########################################
	# Creating PreprocessingAI AvoidObstacles at (24, 197)
	## Setup:
	import AI.Preprocessors
	pScript = AI.Preprocessors.AvoidObstacles()
	## The PreprocessingAI:
	pAvoidObstacles = App.PreprocessingAI_Create(pShip, "AvoidObstacles")
	pAvoidObstacles.SetInterruptable(1)
	pAvoidObstacles.SetPreprocessingMethod(pScript, "Update")
	pAvoidObstacles.SetContainedAI(pSequence)
	# Done creating PreprocessingAI AvoidObstacles
	#########################################
	return pAvoidObstacles
